> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/stocks.md).

# Stocks

Automate warehouse operations in VARIO Cloud with APIs for stock transfers, manual movements, purchase-price corrections, serial numbers, bulk transfers and stock-journal queries.

Stock journal entries.

## PUT /erp/stocks/book-last-purchase-price-correction

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Stocks","description":"Stock journal entries."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/stocks/book-last-purchase-price-correction":{"put":{"tags":["Stocks"],"operationId":"bookLastPurchasePriceCorrection","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-BookLastPurchasePriceCorrectionRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"erp-stock-BookLastPurchasePriceCorrectionRequest":{"properties":{"articleId":{"type":"integer","format":"int64","description":"Article identifier."},"purchasePrice":{"type":"number","description":"New last purchase price, expressed per priceUnit units."},"priceUnit":{"type":"number","description":"Price unit the purchase price refers to; without a value the basePriceUnit of the article applies.","minimum":0},"serialNumberId":{"type":"integer","format":"int64","description":"Article serial number identifier."},"note":{"type":"string","description":"Note on the change."}},"required":["articleId","purchasePrice"]}}}}
```

## PUT /erp/stocks/book-average-purchase-price-correction

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Stocks","description":"Stock journal entries."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/stocks/book-average-purchase-price-correction":{"put":{"tags":["Stocks"],"operationId":"bookAveragePurchasePriceCorrection","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-BookAveragePurchasePriceCorrectionRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"erp-stock-BookAveragePurchasePriceCorrectionRequest":{"properties":{"articleId":{"type":"integer","format":"int64","description":"Article identifier."},"purchasePrice":{"type":"number","description":"New average purchase price, expressed per priceUnit units."},"priceUnit":{"type":"number","description":"Price unit the average purchase price refers to; without a value the basePriceUnit of the article applies.","minimum":0},"note":{"type":"string","description":"Note on the change."}},"required":["articleId","purchasePrice"]}}}}
```

## POST /erp/stocks/transfer

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Stocks","description":"Stock journal entries."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/stocks/transfer":{"post":{"tags":["Stocks"],"operationId":"transferStocks","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StockTransferApi"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StockTransferResult"}}}}}}}},"components":{"schemas":{"erp-stock-StockTransferApi":{"description":"Information for performing a stock transfer.","properties":{"articleId":{"type":"integer","format":"int64","description":"Article."},"serialNumberId":{"type":"integer","format":"int64","description":"Serial number."},"ignoreExpiryDateOnStockBooking":{"type":"boolean","default":false,"description":"Ignore expiry date on stock booking"},"bookDate":{"type":"string","format":"date","description":"Booking date."},"quantity":{"type":"number","description":"Quantity."},"note":{"type":"string","description":"Note."},"sourceStorageId":{"type":"integer","format":"int64","description":"Source storage."},"sourceStorageBinId":{"type":"integer","format":"int64","description":"Source storage bin."},"targetStorageId":{"type":"integer","format":"int64","description":"Target storage."},"targetStorageBinId":{"type":"integer","format":"int64","description":"Target storage bin."},"picklistLineComponentId":{"type":"integer","format":"int64","description":"Picklist line component, if the booking takes place for it."}},"required":["articleId","quantity","sourceStorageId","targetStorageId"]},"erp-stock-StockTransferResult":{"properties":{"article":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceStorageBin":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceStorage":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceOldStock":{"type":"number","description":"Previous stock of the source storage bin."},"sourceNewStock":{"type":"number","description":"New stock of the source storage bin."},"targetStorageBin":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorage":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetOldStock":{"type":"number","description":"Previous stock of the target storage bin."},"targetNewStock":{"type":"number","description":"New stock of the target storage bin."}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## POST /erp/stocks/transfer-dummy-serial-number

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Stocks","description":"Stock journal entries."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/stocks/transfer-dummy-serial-number":{"post":{"tags":["Stocks"],"operationId":"transferDummySerialNumber","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-DummySerialNumberStockTransferApi"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StockTransferResult"}}}}}}}},"components":{"schemas":{"erp-stock-DummySerialNumberStockTransferApi":{"description":"Information for transferring a dummy serial number into a valid serial number.","properties":{"articleId":{"type":"integer","format":"int64","description":"Article."},"serialNumberId":{"type":"integer","format":"int64","description":"Serial number."},"ignoreExpiryDateOnStockBooking":{"type":"boolean","default":false,"description":"Ignore expiry date on stock booking"},"bookDate":{"type":"string","format":"date","description":"Booking date."},"quantity":{"type":"number","description":"Quantity."},"note":{"type":"string","description":"Note."},"sourceStorageId":{"type":"integer","format":"int64","description":"Source storage."},"sourceStorageBinId":{"type":"integer","format":"int64","description":"Source storage bin."},"targetStorageId":{"type":"integer","format":"int64","description":"Target storage."},"targetStorageBinId":{"type":"integer","format":"int64","description":"Target storage bin."},"picklistLineComponentId":{"type":"integer","format":"int64","description":"Picklist line component, if the booking takes place for it."},"targetSerialNumber":{"type":"string","description":"Valid serial number."},"targetExpiryDate":{"type":"string","format":"date","description":"Best-before or expiry date, if the article requires one."}},"required":["articleId","quantity","sourceStorageId","targetStorageId"]},"erp-stock-StockTransferResult":{"properties":{"article":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceStorageBin":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceStorage":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceOldStock":{"type":"number","description":"Previous stock of the source storage bin."},"sourceNewStock":{"type":"number","description":"New stock of the source storage bin."},"targetStorageBin":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorage":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetOldStock":{"type":"number","description":"Previous stock of the target storage bin."},"targetNewStock":{"type":"number","description":"New stock of the target storage bin."}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## POST /erp/stocks/manual-movement

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Stocks","description":"Stock journal entries."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/stocks/manual-movement":{"post":{"tags":["Stocks"],"operationId":"bookManualStockMovement","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StockMovementManualApi"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-Stock"}}}}}}}},"components":{"schemas":{"erp-stock-StockMovementManualApi":{"description":"Information for performing a manual stock booking.","properties":{"factor":{"type":"string","description":"Receipt or issue.","enum":["NONE","INCREMENT","DECREMENT"]},"articleId":{"type":"string","description":"Article."},"quantity":{"type":"number","description":"Quantity.","minimum":0},"note":{"type":"string","description":"Note."},"storageId":{"type":"string","description":"Storage."},"storageBinId":{"type":"string","description":"Storage bin."},"storageLocation":{"type":"string","description":"Storage location (only relevant for receipts)."},"purchasePrice":{"type":"number","description":"Purchase price per price unit (see priceUnit); only relevant for receipts."},"priceUnit":{"type":"number","description":"Price unit the purchase price refers to.","minimum":0},"serialNumber1":{"type":"string","description":"Serial number 1 to book."},"serialNumber2":{"type":"string","description":"Serial number 2 to book."},"expiryDate":{"type":"string","format":"date","description":"Expiry date."},"ignoreExpiryDateOnStockBooking":{"type":"boolean","default":false,"description":"Ignore expiry date on stock booking"},"serialNumberNote":{"type":"string","description":"Note on the serial number."}},"required":["articleId","factor","quantity","storageId"]},"erp-stock-Stock":{"description":"Stock.","properties":{"articleId":{"type":"integer","format":"int64","description":"Article."},"storageBinId":{"type":"integer","format":"int64","description":"Storage bin."},"storageBinDisplayName":{"type":"string","description":"Storage bin display name.","readOnly":true},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"amount":{"type":"number","description":"Stock."}},"required":["amount","articleId","storageBinId"]},"erp-product-ArticleSerialNumber":{"description":"Serial number.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Serial number 1.","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Serial number 2.","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Expiry date."},"ignoreExpiryDateOnStockBooking":{"type":"boolean","description":"Ignore expiry date on stock booking","readOnly":true},"note":{"type":"string","description":"Note."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /erp/stocks/bulk-transfer

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Stocks","description":"Stock journal entries."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/stocks/bulk-transfer":{"post":{"tags":["Stocks"],"operationId":"bulkTransferStocks","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-BulkTransferRequestApi"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-BulkTransferResult"}}}}}}}},"components":{"schemas":{"erp-stock-BulkTransferRequestApi":{"description":"Information for performing a bulk stock transfer.","properties":{"createReportAfterTransfer":{"type":"boolean","description":"Should a report be created after the transfer?"},"stockTransfers":{"type":"array","description":"Contains the instructions for the transfers.","items":{"$ref":"#/components/schemas/erp-stock-StockTransferApi"}}}},"erp-stock-StockTransferApi":{"description":"Information for performing a stock transfer.","properties":{"articleId":{"type":"integer","format":"int64","description":"Article."},"serialNumberId":{"type":"integer","format":"int64","description":"Serial number."},"ignoreExpiryDateOnStockBooking":{"type":"boolean","default":false,"description":"Ignore expiry date on stock booking"},"bookDate":{"type":"string","format":"date","description":"Booking date."},"quantity":{"type":"number","description":"Quantity."},"note":{"type":"string","description":"Note."},"sourceStorageId":{"type":"integer","format":"int64","description":"Source storage."},"sourceStorageBinId":{"type":"integer","format":"int64","description":"Source storage bin."},"targetStorageId":{"type":"integer","format":"int64","description":"Target storage."},"targetStorageBinId":{"type":"integer","format":"int64","description":"Target storage bin."},"picklistLineComponentId":{"type":"integer","format":"int64","description":"Picklist line component, if the booking takes place for it."}},"required":["articleId","quantity","sourceStorageId","targetStorageId"]},"erp-stock-BulkTransferResult":{"description":"Information for performing a bulk stock transfer.","properties":{"reportId":{"type":"integer","format":"int64","description":"When the report was requested in the request, the identifier from the DMS is returned here."},"stocks":{"type":"array","description":"Storage bin stocks changed by the stock booking.","items":{"$ref":"#/components/schemas/erp-stock-StockTransferResult"}},"date":{"type":"string","format":"date","description":"Booking date."}}},"erp-stock-StockTransferResult":{"properties":{"article":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceStorageBin":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceStorage":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceOldStock":{"type":"number","description":"Previous stock of the source storage bin."},"sourceNewStock":{"type":"number","description":"New stock of the source storage bin."},"targetStorageBin":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorage":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetOldStock":{"type":"number","description":"Previous stock of the target storage bin."},"targetNewStock":{"type":"number","description":"New stock of the target storage bin."}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## GET /erp/stocks/stockjournal

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Stocks","description":"Stock journal entries."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/stocks/stockjournal":{"get":{"tags":["Stocks"],"operationId":"getStockJournalBySelection","parameters":[{"name":"selection","in":"query","required":true,"schema":{"$ref":"#/components/schemas/erp-stock-StockJournalSelection"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/core-api-QueryPageableApi"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-stock-StockJournal"}}}}}}}}},"components":{"schemas":{"erp-stock-StockJournalSelection":{"properties":{"articleId":{"type":"integer","format":"int64","description":"Article."},"storageId":{"type":"integer","format":"int64","description":"Storage."},"storageIds":{"type":"array","description":"Several storages.","items":{"type":"integer","format":"int64","description":"Several storages."}},"storageBinId":{"type":"integer","format":"int64","description":"Storage bin."},"serialNumberId":{"type":"integer","format":"int64","description":"Serial number."},"productGroupId":{"type":"integer","format":"int64","description":"Product group."},"fromDate":{"type":"string","format":"date","description":"From this date."},"toDate":{"type":"string","format":"date","description":"To this date."},"goodsReceiptPosting":{"type":"boolean","description":"Incoming goods booking."},"type":{"type":"string","description":"Stock journal type (filter on StockJournalEntity.type).","enum":["MANUAL","DOCUMENT","PICKING","REPLENISHMENT","RESTOCKING","INITIAL_INVENTORY","INVENTORY_CORRECTION","AVERAGE_PURCHASE_PRICE_CORRECTION","LAST_PURCHASE_PRICE_CORRECTION","BUNDLE_MERGE_OR_DISSOLVE","DUMMY_TO_VALID_SERIAL_NUMBER","FABRICATION_ARTICLE","FABRICATION_COMPONENT"]}}},"core-api-QueryPageableApi":{"description":"Paging","properties":{"sort":{"type":"string","description":"List of fields for the sorting (comma separated)."},"_start":{"type":"integer","format":"int32","description":"Start-Offset"},"_limit":{"type":"integer","format":"int32","description":"Result limit."},"_order":{"type":"string","description":"Field sort direction (asc/desc, list, comma separated)."}}},"erp-stock-StockJournal":{"description":"Stock journal entries.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Stock journal types.","enum":["MANUAL","DOCUMENT","PICKING","REPLENISHMENT","RESTOCKING","INITIAL_INVENTORY","INVENTORY_CORRECTION","AVERAGE_PURCHASE_PRICE_CORRECTION","LAST_PURCHASE_PRICE_CORRECTION","BUNDLE_MERGE_OR_DISSOLVE","DUMMY_TO_VALID_SERIAL_NUMBER","FABRICATION_ARTICLE","FABRICATION_COMPONENT"]},"articleId":{"type":"string","description":"Article that was booked."},"productNumber":{"type":"string","description":"Product number."},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"storageBinId":{"type":"string","description":"Storage bin that was booked."},"documentLineId":{"type":"string","description":"Document line the booking took place for."},"documentLineComponentId":{"type":"string","description":"Document line component the booking took place for."},"picklistLineComponentId":{"type":"string","description":"Picklist line component the booking took place for."},"documentNumber":{"type":"string","description":"Document number."},"documentType":{"type":"string","description":"Document type."},"bookingTypeId":{"type":"string","description":"Journal entry booking type.","readOnly":true},"quantity":{"type":"number","description":"Quantity that was booked."},"factor":{"type":"string","description":"Booking valuation factor (stock receipt or stock issue).","enum":["NONE","INCREMENT","DECREMENT"]},"valueDate":{"type":"string","format":"date","description":"Booking and value date of the stock movement."},"note":{"type":"string","description":"Note on the booking.","maxLength":255,"minLength":0},"i18nNote":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"totalPurchasePrice":{"type":"number","description":"Booking purchase price."},"purchasePriceAdjustment":{"type":"number","description":"Booking purchase price adjustment."},"cancellation":{"type":"boolean","default":false,"description":"Is this a cancellation?"},"cancellationDetails":{"type":"string","description":"Cancellation details."},"priceUnit":{"type":"number","description":"Price unit."}},"readOnly":true},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-product-ArticleSerialNumber":{"description":"Serial number.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Serial number 1.","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Serial number 2.","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Expiry date."},"ignoreExpiryDateOnStockBooking":{"type":"boolean","description":"Ignore expiry date on stock booking","readOnly":true},"note":{"type":"string","description":"Note."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/stocks.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
